Score:0

My apt is locked after AMD graphics drive update

in flag

Running Ubuntu 22.04.2 LTS version 5.19.0-41 generic. Installed the latest AMD graphics driver from the AMD site, amdgpu-install_5.4.50405-1_all.deb because I was seeing tearing from my new Radeon RX-6500XT graphics card. Haven't been able to install any programs or updates in my system since then. I can't get past the lock on apt because of the graphics update wanting to install older files over newer files.

I've tried all of the fixes I could find on the internet. There include running: sudo apt-get clean sudo apt-get autoclean sudo apt-get autoremove sudo apt --fix-broken install sudo apt install -f

None of these worked.

After trying all of the above, when I run "sudo apt --fix-broken install", it consistently gives me this: dad@homedesktop:~$ sudo apt --fix-broken install [sudo] password for tang: Reading package lists... Done Building dependency tree... Done Reading state information... Done Correcting dependencies... Done The following additional packages will be installed: libgl1-amdgpu-mesa-dri libgl1-amdgpu-mesa-dri:i386 libllvm15.0.50405-amdgpu libllvm15.0.50405-amdgpu:i386 Suggested packages: libglide3 libglide3:i386 Recommended packages: libtxc-dxtn-s2tc0 | libtxc-dxtn0 libtxc-dxtn-s2tc0:i386 | libtxc-dxtn0:i386 The following NEW packages will be installed: libllvm15.0.50405-amdgpu libllvm15.0.50405-amdgpu:i386 The following packages will be upgraded: libgl1-amdgpu-mesa-dri libgl1-amdgpu-mesa-dri:i386 2 upgraded, 2 newly installed, 0 to remove and 171 not upgraded. 2 not fully installed or removed. Need to get 0 B/54.9 MB of archives. After this operation, 177 MB of additional disk space will be used. Do you want to continue? [Y/n] y (Reading database ... 287639 files and directories currently installed.) Preparing to unpack .../libllvm15.0.50405-amdgpu_1%3a15.0.50405-1577590.22.04_i3 86.deb ... Unpacking libllvm15.0.50405-amdgpu:i386 (1:15.0.50405-1577590.22.04) ... dpkg: error processing archive /var/cache/apt/archives/libllvm15.0.50405-amdgpu_ 1%3a15.0.50405-1577590.22.04_i386.deb (--unpack): trying to overwrite '/opt/amdgpu/lib/i386-linux-gnu/llvm-15.0/lib/libLLVM-15.so ', which is also in package libllvm15.0.50403-amdgpu:i386 1:15.0.50403-1538762.2 2.04 dpkg-deb: error: paste subprocess was killed by signal (Broken pipe) Preparing to unpack .../libllvm15.0.50405-amdgpu_1%3a15.0.50405-1577590.22.04_am d64.deb ... Unpacking libllvm15.0.50405-amdgpu:amd64 (1:15.0.50405-1577590.22.04) ... dpkg: error processing archive /var/cache/apt/archives/libllvm15.0.50405-amdgpu_ 1%3a15.0.50405-1577590.22.04_amd64.deb (--unpack): trying to overwrite '/opt/amdgpu/lib/x86_64-linux-gnu/llvm-15.0/lib/libLLVM-15. so', which is also in package libllvm15.0.50403-amdgpu:amd64 1:15.0.50403-153876 2.22.04 dpkg-deb: error: paste subprocess was killed by signal (Broken pipe) Errors were encountered while processing: /var/cache/apt/archives/libllvm15.0.50405-amdgpu_1%3a15.0.50405-1577590.22.04_i 386.deb /var/cache/apt/archives/libllvm15.0.50405-amdgpu_1%3a15.0.50405-1577590.22.04_a md64.deb E: Sub-process /usr/bin/dpkg returned an error code (1)

I sit in a Tesla and translated this thread with Ai:

mangohost

Post an answer

Most people don’t grasp that asking a lot of questions unlocks learning and improves interpersonal bonding. In Alison’s studies, for example, though people could accurately recall how many questions had been asked in their conversations, they didn’t intuit the link between questions and liking. Across four studies, in which participants were engaged in conversations themselves or read transcripts of others’ conversations, people tended not to realize that question asking would influence—or had influenced—the level of amity between the conversationalists.